"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Event = void 0;
const typeorm_1 = require("typeorm");
const memberships_entity_1 = require("./memberships.entity");
const inscription_entity_1 = require("../inscriptions/entities/inscription.entity");
let Event = exports.Event = class Event {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], Event.prototype, "id", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'varchar', length: 100, comment: 'Nombre del evento' }),
    __metadata("design:type", String)
], Event.prototype, "name", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'text', comment: 'Descripción del evento' }),
    __metadata("design:type", String)
], Event.prototype, "description", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'boolean', default: true, comment: 'Si esta activo o no (1 para si, 0 para no)' }),
    __metadata("design:type", Boolean)
], Event.prototype, "is_active", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'boolean', default: true, comment: 'Borrado lógico (1 para si, 0 para no)' }),
    __metadata("design:type", Boolean)
], Event.prototype, "state", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(() => memberships_entity_1.Membership, (memberships) => memberships.event),
    __metadata("design:type", Array)
], Event.prototype, "memberships", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(() => inscription_entity_1.Inscription, (inscriptions) => inscriptions.event),
    __metadata("design:type", Array)
], Event.prototype, "inscriptions", void 0);
exports.Event = Event = __decorate([
    (0, typeorm_1.Entity)('events')
], Event);
//# sourceMappingURL=events.entity.js.map