"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ValuesForRanks = void 0;
const typeorm_1 = require("typeorm");
const membership_ranks_dates_entity_1 = require("./membership_ranks_dates.entity");
let ValuesForRanks = exports.ValuesForRanks = class ValuesForRanks {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], ValuesForRanks.prototype, "id", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'integer', comment: 'Id del rango que se quiere configurar' }),
    __metadata("design:type", Number)
], ValuesForRanks.prototype, "membership_rank_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => membership_ranks_dates_entity_1.MembershipRanksDates, (membershipRanksDates) => membershipRanksDates.valuesForRanks),
    (0, typeorm_1.JoinColumn)({ name: 'membership_rank_id' }),
    __metadata("design:type", membership_ranks_dates_entity_1.MembershipRanksDates)
], ValuesForRanks.prototype, "membershipRanksDates", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'integer', comment: 'Cantidad de participantes inicial' }),
    __metadata("design:type", Number)
], ValuesForRanks.prototype, "initial_amount", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'integer', comment: 'Cantidad de participantes final' }),
    __metadata("design:type", Number)
], ValuesForRanks.prototype, "final_amount", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'float', comment: 'Valor establecido para el rango de participantes' }),
    __metadata("design:type", Number)
], ValuesForRanks.prototype, "value", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'boolean', default: true, comment: 'Borrado lógico (1 para si, 0 para no)' }),
    __metadata("design:type", Boolean)
], ValuesForRanks.prototype, "state", void 0);
exports.ValuesForRanks = ValuesForRanks = __decorate([
    (0, typeorm_1.Entity)('values_for_ranks')
], ValuesForRanks);
//# sourceMappingURL=values_for_ranks.entity.js.map