import { Membership } from 'src/entities-globals/memberships.entity';
import { ParticipantsForInscription } from 'src/entities-globals/participants_for_inscription.entity';
import { Inscription } from 'src/inscriptions/entities/inscription.entity';
import { Repository } from 'typeorm';
export declare class IndicatorsService {
    private repositoryInscription;
    private repositoryParticipantForInscription;
    private repositoryMembership;
    constructor(repositoryInscription: Repository<Inscription>, repositoryParticipantForInscription: Repository<ParticipantsForInscription>, repositoryMembership: Repository<Membership>);
    registeredPeople(): Promise<any[]>;
    registeredPeopleApproved(): Promise<any[]>;
    registeredPeopleNotApproved(): Promise<{
        amount: number;
        value: number;
    }>;
    registeredInscriptions(): Promise<any[]>;
    registeredInscriptionsApproved(): Promise<any[]>;
}
