import { Company } from "src/entities-globals/companies.entity";
import { Event } from "src/entities-globals/events.entity";
import { Manager } from "src/entities-globals/managers.entity";
import { Membership } from "src/entities-globals/memberships.entity";
import { ParticipantsForInscription } from "src/entities-globals/participants_for_inscription.entity";
import { PaymentForInscription } from "src/entities-globals/payment_ for_inscription.entity";
export declare class Inscription {
    id: number;
    event_id: number;
    event: Event;
    company_id: number;
    company: Company;
    manager_id: number;
    manager: Manager;
    membership_id: number;
    membership: Membership;
    created: Date;
    way_to_pay: string;
    about_the_event: string;
    number_of_participants: number;
    unit_value: number;
    subtotal: number;
    discount: number;
    itbms: number;
    total: number;
    voucher: string;
    state_transaction: boolean;
    state: boolean;
    participantsForInscription: ParticipantsForInscription[];
    paymentForInscription: PaymentForInscription;
}
