import { UsersService } from './users.service';
import { CreateUserDto } from './dto/create-user.dto';
import { PageOptionsDto } from 'src/dtos-globals/page-options.dto';
import { PageDto } from 'src/dtos-globals/page.dto';
export declare class UsersController {
    private readonly usersService;
    constructor(usersService: UsersService);
    findAll(pageOptionsDto: PageOptionsDto): Promise<PageDto<CreateUserDto>>;
    findOne(id: number): Promise<import("./entities/user.entity").User>;
    create(dto: CreateUserDto): Promise<any>;
    update(id: number, dto: CreateUserDto): Promise<any>;
    remove(id: number): Promise<{
        message: string;
    }>;
}
