"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SP_API = exports.cors = exports.jwtConstanst = exports.ApiPaginatedResponse = exports.Order = void 0;
const common_1 = require("@nestjs/common");
const swagger_1 = require("@nestjs/swagger");
const page_dto_1 = require("../dtos-globals/page.dto");
var Order;
(function (Order) {
    Order["ASC"] = "ASC";
    Order["DESC"] = "DESC";
})(Order || (exports.Order = Order = {}));
const ApiPaginatedResponse = (model) => {
    return (0, common_1.applyDecorators)((0, swagger_1.ApiExtraModels)(page_dto_1.PageDto), (0, swagger_1.ApiOkResponse)({
        description: "Successfully received model list",
        schema: {
            allOf: [
                { $ref: (0, swagger_1.getSchemaPath)(page_dto_1.PageDto) },
                {
                    properties: {
                        data: {
                            type: "array",
                            items: { $ref: (0, swagger_1.getSchemaPath)(model) },
                        },
                    },
                },
            ],
        },
    }));
};
exports.ApiPaginatedResponse = ApiPaginatedResponse;
exports.jwtConstanst = {
    secret: 'Jwt_secret'
};
exports.cors = require('cors');
exports.SP_API = 'SP_API';
//# sourceMappingURL=constants.js.map