"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TypeOrmConfig = void 0;
const events_entity_1 = require("../entities-globals/events.entity");
const TypeOrmConfig = (host, port, database, username, password) => {
    return {
        type: 'mysql',
        host: host,
        port: parseInt(port),
        database: database,
        username: username,
        password: password,
        entities: [events_entity_1.Event],
        synchronize: false,
        autoLoadEntities: true,
        timezone: 'utc',
        logging: false
    };
};
exports.TypeOrmConfig = TypeOrmConfig;
//# sourceMappingURL=typeorm.config.js.map