"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DiscountCode = void 0;
const typeorm_1 = require("typeorm");
let DiscountCode = exports.DiscountCode = class DiscountCode {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], DiscountCode.prototype, "id", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'varchar', unique: true, length: 40, comment: 'Código de descuento' }),
    __metadata("design:type", String)
], DiscountCode.prototype, "code", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'varchar', unique: true, length: 200, comment: 'Correo del participante al que se le realiza el descuento' }),
    __metadata("design:type", String)
], DiscountCode.prototype, "email", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'float', comment: 'Valor establecido para el código del descuento' }),
    __metadata("design:type", Number)
], DiscountCode.prototype, "value", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'boolean', default: true, comment: 'Código usado o disponible (1 para usado, 0 para disponible)' }),
    __metadata("design:type", Boolean)
], DiscountCode.prototype, "state_code", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'boolean', default: true, comment: 'Borrado lógico (1 para si, 0 para no)' }),
    __metadata("design:type", Boolean)
], DiscountCode.prototype, "state", void 0);
exports.DiscountCode = DiscountCode = __decorate([
    (0, typeorm_1.Entity)('discount_codes')
], DiscountCode);
//# sourceMappingURL=discounts_codes.entity.js.map