"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MembershipRanksDates = void 0;
const typeorm_1 = require("typeorm");
const memberships_entity_1 = require("./memberships.entity");
const values_for_ranks_entity_1 = require("./values_for_ranks.entity");
let MembershipRanksDates = exports.MembershipRanksDates = class MembershipRanksDates {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], MembershipRanksDates.prototype, "id", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'integer', comment: 'Id de la membresia a la que pertenecen los rangos de fecha' }),
    __metadata("design:type", Number)
], MembershipRanksDates.prototype, "membership_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => memberships_entity_1.Membership, (membership) => membership.membershipRanksDates),
    (0, typeorm_1.JoinColumn)({ name: 'membership_id' }),
    __metadata("design:type", memberships_entity_1.Membership)
], MembershipRanksDates.prototype, "membership", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'datetime', comment: 'Fecha inicial a configurar' }),
    __metadata("design:type", Date)
], MembershipRanksDates.prototype, "initial_date", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'datetime', comment: 'Fecha final a configurar' }),
    __metadata("design:type", Date)
], MembershipRanksDates.prototype, "final_date", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'boolean', default: true, comment: 'Borrado lógico (1 para si, 0 para no)' }),
    __metadata("design:type", Boolean)
], MembershipRanksDates.prototype, "state", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(() => values_for_ranks_entity_1.ValuesForRanks, (valuesForRanks) => valuesForRanks.membershipRanksDates),
    __metadata("design:type", Array)
], MembershipRanksDates.prototype, "valuesForRanks", void 0);
exports.MembershipRanksDates = MembershipRanksDates = __decorate([
    (0, typeorm_1.Entity)('membership_ranks_dates')
], MembershipRanksDates);
//# sourceMappingURL=membership_ranks_dates.entity.js.map