"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ParticipantsForInscription = void 0;
const typeorm_1 = require("typeorm");
const inscription_entity_1 = require("../inscriptions/entities/inscription.entity");
const participants_entity_1 = require("./participants.entity");
let ParticipantsForInscription = exports.ParticipantsForInscription = class ParticipantsForInscription {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], ParticipantsForInscription.prototype, "id", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'integer', nullable: true, comment: 'Id del participante que se esta inscribiendo' }),
    __metadata("design:type", Number)
], ParticipantsForInscription.prototype, "participant_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => participants_entity_1.Participant, (participant) => participant.participantsForInscription),
    (0, typeorm_1.JoinColumn)({ name: 'participant_id' }),
    __metadata("design:type", participants_entity_1.Participant)
], ParticipantsForInscription.prototype, "participant", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'integer', nullable: true, comment: 'Id de la inscripción a la cual se inscribio el participante' }),
    __metadata("design:type", Number)
], ParticipantsForInscription.prototype, "inscription_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => inscription_entity_1.Inscription, (inscription) => inscription.participantsForInscription),
    (0, typeorm_1.JoinColumn)({ name: 'inscription_id' }),
    __metadata("design:type", inscription_entity_1.Inscription)
], ParticipantsForInscription.prototype, "inscription", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'boolean', default: true, comment: 'Borrado lógico (1 para si, 0 para no)' }),
    __metadata("design:type", Boolean)
], ParticipantsForInscription.prototype, "state", void 0);
exports.ParticipantsForInscription = ParticipantsForInscription = __decorate([
    (0, typeorm_1.Entity)('participants_for_inscription')
], ParticipantsForInscription);
//# sourceMappingURL=participants_for_inscription.entity.js.map