"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.IndicatorsModule = void 0;
const common_1 = require("@nestjs/common");
const indicators_service_1 = require("./indicators.service");
const indicators_controller_1 = require("./indicators.controller");
const jwt_strategy_1 = require("../jwt/jwt.strategy");
const typeorm_1 = require("@nestjs/typeorm");
const inscription_entity_1 = require("../inscriptions/entities/inscription.entity");
const participants_for_inscription_entity_1 = require("../entities-globals/participants_for_inscription.entity");
const memberships_entity_1 = require("../entities-globals/memberships.entity");
let IndicatorsModule = exports.IndicatorsModule = class IndicatorsModule {
};
exports.IndicatorsModule = IndicatorsModule = __decorate([
    (0, common_1.Module)({
        imports: [
            typeorm_1.TypeOrmModule.forFeature([inscription_entity_1.Inscription, participants_for_inscription_entity_1.ParticipantsForInscription, memberships_entity_1.Membership])
        ],
        controllers: [indicators_controller_1.IndicatorsController],
        providers: [indicators_service_1.IndicatorsService, jwt_strategy_1.JwtStrategy]
    })
], IndicatorsModule);
//# sourceMappingURL=indicators.module.js.map