"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.InscriptionsModule = void 0;
const common_1 = require("@nestjs/common");
const inscriptions_service_1 = require("./inscriptions.service");
const inscriptions_controller_1 = require("./inscriptions.controller");
const typeorm_1 = require("@nestjs/typeorm");
const inscription_entity_1 = require("./entities/inscription.entity");
const companies_entity_1 = require("../entities-globals/companies.entity");
const managers_entity_1 = require("../entities-globals/managers.entity");
const memberships_entity_1 = require("../entities-globals/memberships.entity");
const participants_entity_1 = require("../entities-globals/participants.entity");
const participants_for_inscription_entity_1 = require("../entities-globals/participants_for_inscription.entity");
const membership_ranks_dates_entity_1 = require("../entities-globals/membership_ranks_dates.entity");
const values_for_ranks_entity_1 = require("../entities-globals/values_for_ranks.entity");
const nest_sendgrid_1 = require("@anchan828/nest-sendgrid");
const payment__for_inscription_entity_1 = require("../entities-globals/payment_ for_inscription.entity");
const discounts_codes_entity_1 = require("../entities-globals/discounts_codes.entity");
let InscriptionsModule = exports.InscriptionsModule = class InscriptionsModule {
};
exports.InscriptionsModule = InscriptionsModule = __decorate([
    (0, common_1.Module)({
        imports: [
            typeorm_1.TypeOrmModule.forFeature([inscription_entity_1.Inscription, companies_entity_1.Company, managers_entity_1.Manager, memberships_entity_1.Membership, participants_entity_1.Participant, participants_for_inscription_entity_1.ParticipantsForInscription, membership_ranks_dates_entity_1.MembershipRanksDates, values_for_ranks_entity_1.ValuesForRanks, payment__for_inscription_entity_1.PaymentForInscription, discounts_codes_entity_1.DiscountCode]),
            nest_sendgrid_1.SendGridModule.forRoot({
                apikey: process.env.SEND_GRID_ACCESS_KEY
            })
        ],
        controllers: [inscriptions_controller_1.InscriptionsController],
        providers: [inscriptions_service_1.InscriptionsService]
    })
], InscriptionsModule);
//# sourceMappingURL=inscriptions.module.js.map