"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.storage = void 0;
const multer_1 = require("multer");
exports.storage = (0, multer_1.diskStorage)({
    destination: `public/files`,
    filename: (req, file, cb) => {
        const extension = file.originalname.split('.').pop();
        const filename = `${Date.now()}.${extension}`;
        cb(null, filename);
    }
});
//# sourceMappingURL=media.handle.js.map